Subject: Re: Trouble with inetd (start but doesn't work)
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Thu, 18 Apr 2002 16:54:06 -0700
Newsgroups: gmane.os.cygwin

Auricom wrote:

> Hello,
>
> Here is my configuration:
>
> Win2K Server Version 5.00.2195 (no pack applied)
> Cygwin 1.3.10
>
> The problem is inetd start but I can't telnet or ftp into my computer. 
> The answer is "connection refused" when I try to connect to localhost 
> or from the net...
>
> When I use ncftp, I have this message:
>
> Administrateur@AURICOM : ncftp localhost
> NcFTP 3.1.3 (Mar 27, 2002) by Mike Gleason ([email-masked]).
> Could not connect to 127.0.0.1: The socket is not connected.
> Could not open host localhost: could not connect to remote host.
>
> We can see that the socket is not connected, but I can't find a 
> solution to solve this issue.
>
> Is there a workaround ???

Try stopping the inetd server (net stop inetd) then run inetd -d from 
the command line. In another window attempt a telnet to your machine. 
Watch to see if you get any messages in the window running inetd. You 
should. If that works try your ftp command.

I suspect that inetd is not running as a service. Do you have two (yes 
two, count 'em) inetd processes showing up in the TaskMgr?

Have you added Cygwin's bin to the Windows SYSTEM Environment Variable 
PATH? Have you rebooted?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/